org.appng.persistence.repository

## Interface QueryDslSearchRepository<T,ID extends Serializable>

- Type Parameters:
    `T` - the domain class
    `ID` - the type of the Id of the domain class
  All Superinterfaces:
    org.springframework.data.repository.CrudRepository<T,ID>, org.springframework.data.jpa.repository.JpaRepository<T,ID>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<T>, org.springframework.data.repository.PagingAndSortingRepository<T,ID>, org.springframework.data.repository.query.QueryByExampleExecutor<T>, org.springframework.data.querydsl.QueryDslPredicateExecutor<T>, org.springframework.data.repository.Repository<T,ID>, SearchRepository<T,ID>
  All Known Implementing Classes:
    QueryDslSearchRepositoryImpl

      @NoRepositoryBean
      public interface QueryDslSearchRepository<T,ID extends Serializable>
      extends SearchRepository<T,ID>, org.springframework.data.querydsl.QueryDslPredicateExecutor<T>

  A `SearchRepository` that additionally offers Query DSL functionality
  Author:
    Matthias Müller
  See Also:
    `SearchRepository`, `QueryDslPredicateExecutor`

- - ### Method Summary

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.querydsl.QueryDslPredicateExecutor

      `count, exists, findAll, findAll, findAll, findAll, findAll, findOne`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.